Package: org.codehaus.groovy.ast.expr

## [Java] Class TernaryExpression

- org.codehaus.groovy.ast.expr.TernaryExpression

-     public class TernaryExpression
      extends Expression

  Represents a ternary expression (booleanExpression) ? expression : expression

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TernaryExpression(BooleanExpression booleanExpression, Expression truthExpression, Expression falseExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BooleanExpression` | `getBooleanExpression()`
    `` | `public Expression` | `getFalseExpression()`
    `` | `public String` | `getText()`
    `` | `public Expression` | `getTrueExpression()`
    `` | `public ClassNode` | `getType()` See Also: BinaryExpressionHelper.evaluateTernaryExpression
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public TernaryExpression(BooleanExpression booleanExpression, Expression truthExpression, Expression falseExpression)

  - ### Method Detail

    - #### public BooleanExpression getBooleanExpression()

    - #### public Expression getFalseExpression()

    - #### public String getText()

    - #### public Expression getTrueExpression()

    - #### public ClassNode getType()

      See Also:
        BinaryExpressionHelper.evaluateTernaryExpression

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)